From 5cbe668a57cd9446c2f8d38722c1ccf10374b952 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Laur=C3=A9line=20Gu=C3=A9rin?= <zebuline@entrouvert.com>
Date: Tue, 6 Apr 2021 21:31:24 +0200
Subject: [PATCH 2/2] misc: apply isort (#52797)

---
 combo/apps/assets/api_views.py                |  3 +-
 combo/apps/assets/templatetags/assets.py      |  1 -
 combo/apps/assets/urls.py                     |  5 +-
 combo/apps/assets/views.py                    | 18 +++----
 combo/apps/calendar/forms.py                  |  5 +-
 .../apps/calendar/migrations/0001_initial.py  |  3 +-
 combo/apps/calendar/models.py                 |  4 +-
 combo/apps/calendar/utils.py                  |  2 +-
 combo/apps/calendar/views.py                  |  4 +-
 .../apps/dashboard/migrations/0001_initial.py |  2 +-
 combo/apps/dashboard/models.py                |  4 +-
 combo/apps/dashboard/views.py                 |  6 +--
 combo/apps/dataviz/forms.py                   |  2 +-
 combo/apps/dataviz/migrations/0001_initial.py |  2 +-
 .../0002_gauge_jsonp_data_source.py           |  2 +-
 .../0003_cubesbarchart_cubestable.py          |  2 +-
 .../migrations/0004_auto_20160108_1048.py     |  2 +-
 .../migrations/0007_auto_20170214_2006.py     |  3 +-
 .../migrations/0010_auto_20190328_1111.py     |  2 +-
 .../migrations/0012_auto_20201126_1557.py     |  2 +-
 .../migrations/0015_auto_20201202_1424.py     |  2 +-
 combo/apps/dataviz/models.py                  | 18 +++----
 combo/apps/dataviz/views.py                   |  6 +--
 combo/apps/family/migrations/0001_initial.py  |  2 +-
 ..._familyinfoscell_restricted_to_unlogged.py |  2 +-
 ...4_familyinfoscell_last_update_timestamp.py |  3 +-
 combo/apps/family/models.py                   |  4 +-
 combo/apps/family/views.py                    |  6 +--
 combo/apps/fargo/migrations/0001_initial.py   |  2 +-
 ...centdocumentscell_last_update_timestamp.py |  3 +-
 combo/apps/fargo/models.py                    |  7 ++-
 combo/apps/gallery/migrations/0001_initial.py |  2 +-
 .../gallery/migrations/0002_image_title.py    |  2 +-
 .../migrations/0003_gallerycell_title.py      |  2 +-
 combo/apps/gallery/models.py                  |  4 +-
 combo/apps/gallery/views.py                   | 14 ++---
 combo/apps/kb/migrations/0001_initial.py      |  2 +-
 combo/apps/kb/models.py                       |  2 +-
 combo/apps/lingo/__init__.py                  |  5 +-
 combo/apps/lingo/forms.py                     |  3 +-
 combo/apps/lingo/manager_views.py             | 22 ++++----
 combo/apps/lingo/migrations/0001_initial.py   |  2 +-
 .../apps/lingo/migrations/0002_transaction.py |  2 +-
 .../migrations/0003_auto_20150306_1047.py     |  2 +-
 .../0004_basketitem_notification_date.py      |  2 +-
 .../migrations/0005_auto_20150307_1242.py     |  2 +-
 .../migrations/0006_transaction_status.py     |  2 +-
 .../migrations/0007_lingobasketlinkcell.py    |  2 +-
 .../migrations/0008_auto_20150908_1538.py     |  2 +-
 .../migrations/0009_auto_20150917_1456.py     |  2 +-
 .../0010_regie_payment_min_amount.py          |  2 +-
 .../migrations/0011_auto_20151029_1535.py     |  2 +-
 .../migrations/0012_auto_20151130_1047.py     |  2 +-
 .../migrations/0013_transaction_amount.py     |  2 +-
 .../migrations/0014_auto_20160218_1455.py     |  2 +-
 .../migrations/0015_auto_20160309_2150.py     |  2 +-
 .../migrations/0016_auto_20160319_2028.py     |  2 +-
 .../migrations/0017_auto_20160327_0831.py     |  2 +-
 .../migrations/0021_transactionoperation.py   |  2 +-
 .../0024_selfdeclaredinvoicepayment.py        |  2 +-
 .../migrations/0025_auto_20161206_1713.py     |  2 +-
 .../migrations/0027_auto_20170214_2006.py     |  3 +-
 .../migrations/0028_tipipaymentformcell.py    |  3 +-
 .../migrations/0029_auto_20170528_1334.py     |  2 +-
 ...030_transaction_to_be_paid_remote_items.py |  2 +-
 .../migrations/0034_auto_20190426_1159.py     |  2 +-
 .../migrations/0036_auto_20190426_1202.py     |  2 +-
 .../0037_regie_transaction_options.py         |  2 +-
 combo/apps/lingo/models.py                    | 29 +++++------
 combo/apps/lingo/urls.py                      | 46 ++++++++---------
 combo/apps/lingo/views.py                     | 51 ++++++++++---------
 combo/apps/maps/forms.py                      |  1 +
 combo/apps/maps/manager_views.py              |  9 ++--
 combo/apps/maps/migrations/0001_initial.py    |  3 +-
 .../maps/migrations/0008_map_layer_options.py |  2 +-
 combo/apps/maps/models.py                     | 17 +++----
 combo/apps/maps/urls.py                       |  3 +-
 .../newsletters/migrations/0001_initial.py    |  2 +-
 ...3_newsletterscell_last_update_timestamp.py |  3 +-
 combo/apps/newsletters/models.py              | 13 +++--
 combo/apps/newsletters/urls.py                |  2 +-
 combo/apps/newsletters/views.py               |  4 +-
 combo/apps/notifications/api_views.py         |  3 +-
 .../notifications/migrations/0001_initial.py  |  2 +-
 ...notificationscell_last_update_timestamp.py |  3 +-
 combo/apps/notifications/models.py            | 11 ++--
 combo/apps/notifications/urls.py              |  2 +-
 combo/apps/pwa/manager_views.py               |  8 +--
 combo/apps/pwa/migrations/0001_initial.py     |  4 +-
 combo/apps/pwa/migrations/0002_pwasettings.py |  3 +-
 .../pwa/migrations/0003_pwanavigationentry.py |  2 +-
 .../pwa/migrations/0006_auto_20190628_1042.py |  2 +-
 combo/apps/pwa/models.py                      |  7 ++-
 combo/apps/pwa/signals.py                     |  3 +-
 combo/apps/pwa/templatetags/pwa.py            |  1 -
 combo/apps/pwa/urls.py                        |  9 ++--
 combo/apps/pwa/views.py                       | 13 +++--
 combo/apps/search/forms.py                    |  3 +-
 combo/apps/search/manager_views.py            |  8 ++-
 .../migrations/0002_auto_20180720_1511.py     |  2 +-
 .../search/migrations/0006_indexedcell.py     |  2 +-
 combo/apps/search/models.py                   | 16 +++---
 combo/apps/search/urls.py                     |  5 +-
 combo/apps/search/utils.py                    |  5 +-
 combo/apps/wcs/__init__.py                    | 11 ++--
 combo/apps/wcs/forms.py                       | 10 ++--
 combo/apps/wcs/migrations/0001_initial.py     |  3 +-
 .../wcs/migrations/0002_auto_20150217_1402.py |  2 +-
 .../wcs/migrations/0003_auto_20150218_1151.py |  2 +-
 .../wcs/migrations/0004_auto_20150218_1154.py |  2 +-
 .../wcs/migrations/0005_auto_20150401_0758.py |  2 +-
 .../wcs/migrations/0006_categoriescell.py     |  3 +-
 .../migrations/0007_trackingcodeinputcell.py  |  2 +-
 .../0008_wcsformcell_cached_json.py           |  2 +-
 .../0009_remove_wcscategorycell_link_page.py  |  2 +-
 .../wcs/migrations/0010_auto_20151029_1535.py |  2 +-
 .../wcs/migrations/0011_auto_20151215_1121.py |  2 +-
 ...012_wcsformsofcategorycell_manual_order.py |  2 +-
 .../wcs/migrations/0014_auto_20170214_2006.py |  3 +-
 .../0015_wcscurrentformscell_categories.py    |  2 +-
 .../0016_backofficesubmissioncell.py          |  5 +-
 .../wcs/migrations/0017_wcscareformscell.py   |  5 +-
 .../0018_wcscurrentdraftscell_categories.py   |  2 +-
 combo/apps/wcs/migrations/0020_cards.py       |  5 +-
 combo/apps/wcs/migrations/0021_card.py        |  5 +-
 .../migrations/0025_submission_categories.py  |  2 +-
 combo/apps/wcs/models.py                      | 10 ++--
 combo/apps/wcs/templatetags/wcs.py            |  1 -
 combo/apps/wcs/utils.py                       |  1 -
 combo/apps/wcs/views.py                       | 11 ++--
 combo/context_processors.py                   |  2 +-
 combo/data/fields.py                          |  3 +-
 combo/data/forms.py                           |  3 +-
 combo/data/management/commands/import_site.py |  2 +-
 combo/data/migrations/0001_initial.py         |  2 +-
 .../migrations/0002_auto_20150217_1327.py     |  2 +-
 combo/data/migrations/0003_menucell.py        |  2 +-
 combo/data/migrations/0004_menucell_depth.py  |  2 +-
 .../migrations/0005_auto_20150226_0903.py     |  2 +-
 combo/data/migrations/0006_linkcell.py        |  2 +-
 .../migrations/0007_auto_20150529_1003.py     |  2 +-
 .../migrations/0008_auto_20150529_1504.py     |  2 +-
 .../migrations/0009_auto_20150529_2247.py     |  2 +-
 combo/data/migrations/0010_feedcell.py        |  2 +-
 .../migrations/0011_auto_20151028_1047.py     |  2 +-
 .../migrations/0012_auto_20151029_1535.py     |  2 +-
 combo/data/migrations/0013_parameterscell.py  |  2 +-
 .../migrations/0014_menucell_initial_level.py |  2 +-
 combo/data/migrations/0015_feedcell_title.py  |  2 +-
 combo/data/migrations/0021_jsoncell.py        |  3 +-
 .../migrations/0022_auto_20170214_2006.py     |  3 +-
 combo/data/migrations/0024_configjsoncell.py  |  2 +-
 .../migrations/0025_jsoncell_varnames_str.py  |  1 +
 .../migrations/0029_auto_20171022_1242.py     |  3 +-
 .../migrations/0033_auto_20180401_1300.py     |  4 +-
 combo/data/migrations/0034_redirect.py        |  2 +-
 .../migrations/0035_page_related_cells.py     |  2 +-
 combo/data/migrations/0039_link_list_cell.py  |  2 +-
 .../0042_page_creation_timestamp.py           |  2 +-
 combo/data/migrations/0044_validity_info.py   |  2 +-
 combo/data/models.py                          | 34 ++++++-------
 combo/data/utils.py                           |  8 ++-
 combo/manager/fields.py                       |  2 +-
 combo/manager/forms.py                        |  6 +--
 combo/manager/urls.py                         |  6 +--
 combo/manager/views.py                        | 48 +++++++++--------
 combo/middleware.py                           |  1 -
 combo/monkeypatch.py                          |  9 ++--
 combo/plugins.py                              |  2 +-
 combo/profile/__init__.py                     |  3 +-
 combo/profile/migrations/0001_initial.py      |  2 +-
 combo/profile/migrations/0002_profilecell.py  |  2 +-
 combo/profile/models.py                       |  4 +-
 combo/public/admin.py                         |  2 +-
 combo/public/templatetags/combo.py            | 10 ++--
 combo/public/urls.py                          |  1 +
 combo/public/views.py                         | 23 ++++-----
 combo/settings.py                             |  1 +
 combo/urls.py                                 |  8 ++-
 combo/urls_utils.py                           |  1 -
 combo/utils/__init__.py                       |  6 +--
 combo/utils/cache.py                          |  1 +
 combo/utils/crypto.py                         |  3 +-
 combo/utils/misc.py                           |  3 +-
 combo/utils/requests_wrapper.py               |  8 +--
 combo/utils/signature.py                      |  5 +-
 combo/utils/spooler.py                        |  2 +-
 combo/utils/urls.py                           |  2 +-
 setup.py                                      |  8 +--
 tests/conftest.py                             |  4 +-
 tests/test_assets.py                          | 22 ++++----
 tests/test_calendar.py                        |  9 ++--
 tests/test_cells.py                           | 34 ++++++-------
 tests/test_cron.py                            |  5 +-
 tests/test_dashboard.py                       | 12 ++---
 tests/test_dataviz.py                         | 11 ++--
 tests/test_fargo.py                           |  4 +-
 tests/test_gallery_cell.py                    |  5 +-
 tests/test_import_export.py                   |  8 +--
 tests/test_kb.py                              |  4 +-
 tests/test_lingo_cells.py                     | 11 ++--
 tests/test_lingo_manager.py                   | 22 ++++----
 tests/test_lingo_payment.py                   | 36 +++++++------
 tests/test_lingo_remote_regie.py              | 28 +++++-----
 tests/test_manager.py                         | 34 ++++++-------
 tests/test_maps_cells.py                      |  9 ++--
 tests/test_maps_manager.py                    |  6 +--
 tests/test_newsletters_cell.py                | 12 ++---
 tests/test_notification.py                    | 16 +++---
 tests/test_pages.py                           |  9 ++--
 tests/test_profile.py                         |  2 +-
 tests/test_public.py                          | 33 ++++++------
 tests/test_public_templatetags.py             |  5 +-
 tests/test_publik.py                          |  5 +-
 tests/test_pwa.py                             |  8 ++-
 tests/test_requests.py                        |  3 +-
 tests/test_search.py                          | 12 ++---
 tests/test_utils.py                           |  8 +--
 tests/test_wcs.py                             | 38 +++++++-------
 219 files changed, 647 insertions(+), 686 deletions(-)

diff --git a/combo/apps/assets/api_views.py b/combo/apps/assets/api_views.py
index f0f9a7f5..c440d058 100644
--- a/combo/apps/assets/api_views.py
+++ b/combo/apps/assets/api_views.py
@@ -18,8 +18,7 @@ import base64
 
 from django.core.files import File
 from django.utils.six import BytesIO
-
-from rest_framework import serializers, permissions, status
+from rest_framework import permissions, serializers, status
 from rest_framework.generics import GenericAPIView
 from rest_framework.response import Response
 
diff --git a/combo/apps/assets/urls.py b/combo/apps/assets/urls.py
index d1eb7834..914b8b8b 100644
--- a/combo/apps/assets/urls.py
+++ b/combo/apps/assets/urls.py
@@ -14,12 +14,11 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.conf.urls import url, include
+from django.conf.urls import include, url
 
 from combo.urls_utils import decorated_includes, manager_required
 
-from . import views
-from . import api_views
+from . import api_views, views
 
 assets_manager_urls = [
     url(r'^$', views.assets, name='combo-manager-assets'),
diff --git a/combo/apps/assets/views.py b/combo/apps/assets/views.py
index a2b0639c..9864b5dd 100644
--- a/combo/apps/assets/views.py
+++ b/combo/apps/assets/views.py
@@ -15,29 +15,27 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import json
-import tarfile
 import os
+import tarfile
 
+import ckeditor
 from django.conf import settings
 from django.contrib import messages
 from django.core.exceptions import ObjectDoesNotExist, PermissionDenied
 from django.core.files.storage import default_storage
-from django.urls import reverse, reverse_lazy
 from django.http import Http404, HttpResponse
-from django.shortcuts import get_object_or_404
-from django.shortcuts import redirect
+from django.shortcuts import get_object_or_404, redirect
+from django.urls import reverse, reverse_lazy
 from django.utils.six import BytesIO
 from django.utils.translation import ugettext_lazy as _
-from django.views.generic import TemplateView, ListView, FormView
-
-import ckeditor
+from django.views.generic import FormView, ListView, TemplateView
 from sorl.thumbnail.shortcuts import get_thumbnail
 
-from combo.data.models import CellBase
-from combo.apps.assets.utils import import_assets, export_assets
+from combo.apps.assets.utils import export_assets, import_assets
 from combo.apps.maps.models import MapLayer
+from combo.data.models import CellBase
 
-from .forms import AssetUploadForm, AssetsImportForm
+from .forms import AssetsImportForm, AssetUploadForm
 from .models import Asset
 
 
diff --git a/combo/apps/calendar/models.py b/combo/apps/calendar/models.py
index 688481ed..79aac451 100644
--- a/combo/apps/calendar/models.py
+++ b/combo/apps/calendar/models.py
@@ -20,10 +20,10 @@ from django.conf import settings
 from django.db import models
 from django.utils.translation import ugettext_lazy as _
 
-from combo.data.models import CellBase
 from combo.data.library import register_cell_class
+from combo.data.models import CellBase
 
-from .utils import is_chrono_enabled, is_wcs_enabled, get_chrono_events, get_calendar_context_vars
+from .utils import get_calendar_context_vars, get_chrono_events, is_chrono_enabled, is_wcs_enabled
 
 
 @register_cell_class
diff --git a/combo/apps/calendar/utils.py b/combo/apps/calendar/utils.py
index c909b185..f2431a2b 100644
--- a/combo/apps/calendar/utils.py
+++ b/combo/apps/calendar/utils.py
@@ -18,7 +18,7 @@ import datetime
 import math
 
 from django.conf import settings
-from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger
+from django.core.paginator import EmptyPage, PageNotAnInteger, Paginator
 from django.utils.dateparse import parse_datetime
 from django.utils.http import urlencode
 from django.utils.timezone import localtime, make_aware
diff --git a/combo/apps/calendar/views.py b/combo/apps/calendar/views.py
index d1a093a8..13fce662 100644
--- a/combo/apps/calendar/views.py
+++ b/combo/apps/calendar/views.py
@@ -17,12 +17,12 @@
 from django.contrib import messages
 from django.http import HttpResponseRedirect
 from django.utils.encoding import force_text
-from django.views.generic import View, DetailView
+from django.views.generic import DetailView, View
 from django.views.generic.detail import SingleObjectMixin
 
 from .forms import BookingForm
 from .models import BookingCalendar
-from .utils import get_form_url_with_params, get_chrono_events, get_calendar_context_vars
+from .utils import get_calendar_context_vars, get_chrono_events, get_form_url_with_params
 
 
 class BookingView(SingleObjectMixin, View):
diff --git a/combo/apps/dataviz/forms.py b/combo/apps/dataviz/forms.py
index 7888c9cc..18761856 100644
--- a/combo/apps/dataviz/forms.py
+++ b/combo/apps/dataviz/forms.py
@@ -22,7 +22,7 @@ from django.conf import settings
 from django.db import transaction
 from django.db.models import Q
 
-from combo.utils import requests, cache_during_request, spooler
+from combo.utils import cache_during_request, requests, spooler
 
 from .models import ChartCell, ChartNgCell
 
diff --git a/combo/apps/dataviz/migrations/0001_initial.py b/combo/apps/dataviz/migrations/0001_initial.py
index 957e8020..b35e7137 100644
--- a/combo/apps/dataviz/migrations/0001_initial.py
+++ b/combo/apps/dataviz/migrations/0001_initial.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/dataviz/migrations/0002_gauge_jsonp_data_source.py b/combo/apps/dataviz/migrations/0002_gauge_jsonp_data_source.py
index c90aaa3d..6f70bd17 100644
--- a/combo/apps/dataviz/migrations/0002_gauge_jsonp_data_source.py
+++ b/combo/apps/dataviz/migrations/0002_gauge_jsonp_data_source.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/dataviz/migrations/0003_cubesbarchart_cubestable.py b/combo/apps/dataviz/migrations/0003_cubesbarchart_cubestable.py
index 42695238..9660760e 100644
--- a/combo/apps/dataviz/migrations/0003_cubesbarchart_cubestable.py
+++ b/combo/apps/dataviz/migrations/0003_cubesbarchart_cubestable.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/dataviz/migrations/0004_auto_20160108_1048.py b/combo/apps/dataviz/migrations/0004_auto_20160108_1048.py
index 2eb8c921..2d3c85f5 100644
--- a/combo/apps/dataviz/migrations/0004_auto_20160108_1048.py
+++ b/combo/apps/dataviz/migrations/0004_auto_20160108_1048.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/dataviz/models.py b/combo/apps/dataviz/models.py
index a04e8d5b..d6f7322d 100644
--- a/combo/apps/dataviz/models.py
+++ b/combo/apps/dataviz/models.py
@@ -18,22 +18,22 @@ import copy
 import os
 import sys
 from datetime import date
-from requests.exceptions import RequestException
 
-from django.urls import reverse
+import pygal
+import pygal.util
+from django.conf import settings
 from django.db import models, transaction
+from django.urls import reverse
 from django.utils import timezone
 from django.utils.encoding import force_text
-from django.utils.translation import ugettext_lazy as _, ungettext, gettext
-from django.conf import settings
-
+from django.utils.translation import gettext
+from django.utils.translation import ugettext_lazy as _
+from django.utils.translation import ungettext
 from jsonfield import JSONField
-from requests.exceptions import HTTPError
-import pygal
-import pygal.util
+from requests.exceptions import HTTPError, RequestException
 
-from combo.data.models import CellBase
 from combo.data.library import register_cell_class
+from combo.data.models import CellBase
 from combo.utils import get_templated_url, requests, spooler
 
 
diff --git a/combo/apps/dataviz/views.py b/combo/apps/dataviz/views.py
index c652608a..7d4cb55b 100644
--- a/combo/apps/dataviz/views.py
+++ b/combo/apps/dataviz/views.py
@@ -15,13 +15,13 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from django.core.exceptions import PermissionDenied
-from django.http import HttpResponse, Http404
+from django.http import Http404, HttpResponse
 from django.utils.translation import ugettext_lazy as _
-
 from requests.exceptions import HTTPError
 
 from combo.utils import get_templated_url, requests
-from .models import Gauge, ChartNgCell, UnsupportedDataSet
+
+from .models import ChartNgCell, Gauge, UnsupportedDataSet
 
 
 def ajax_gauge_count(request, *args, **kwargs):
diff --git a/combo/apps/family/migrations/0001_initial.py b/combo/apps/family/migrations/0001_initial.py
index 5d8f0f77..f3acb5e9 100644
--- a/combo/apps/family/migrations/0001_initial.py
+++ b/combo/apps/family/migrations/0001_initial.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import ckeditor.fields
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/family/migrations/0002_familyinfoscell_restricted_to_unlogged.py b/combo/apps/family/migrations/0002_familyinfoscell_restricted_to_unlogged.py
index a3c6a370..1340d93a 100644
--- a/combo/apps/family/migrations/0002_familyinfoscell_restricted_to_unlogged.py
+++ b/combo/apps/family/migrations/0002_familyinfoscell_restricted_to_unlogged.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/family/models.py b/combo/apps/family/models.py
index 74129cb7..fb7e7fbe 100644
--- a/combo/apps/family/models.py
+++ b/combo/apps/family/models.py
@@ -16,10 +16,10 @@
 
 from django.utils.translation import ugettext_lazy as _
 
-from combo.data.models import CellBase
 from combo.data.library import register_cell_class
+from combo.data.models import CellBase
 
-from .utils import is_family_enabled, get_family
+from .utils import get_family, is_family_enabled
 
 
 @register_cell_class
diff --git a/combo/apps/fargo/migrations/0001_initial.py b/combo/apps/fargo/migrations/0001_initial.py
index 78d3e6ed..7a7627d8 100644
--- a/combo/apps/fargo/migrations/0001_initial.py
+++ b/combo/apps/fargo/migrations/0001_initial.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/fargo/models.py b/combo/apps/fargo/models.py
index 8a766ac6..418eafe2 100644
--- a/combo/apps/fargo/models.py
+++ b/combo/apps/fargo/models.py
@@ -18,14 +18,13 @@ import logging
 
 from django.conf import settings
 from django.db import models
-from django.forms import models as model_forms
 from django.forms import Select
+from django.forms import models as model_forms
 from django.utils.translation import ugettext_lazy as _
+from requests import HTTPError, RequestException
 
-from requests import RequestException, HTTPError
-
-from combo.data.models import CellBase
 from combo.data.library import register_cell_class
+from combo.data.models import CellBase
 from combo.utils import requests
 
 logger = logging.getLogger(__name__)
diff --git a/combo/apps/gallery/migrations/0001_initial.py b/combo/apps/gallery/migrations/0001_initial.py
index b87c02bc..1a6dfb60 100644
--- a/combo/apps/gallery/migrations/0001_initial.py
+++ b/combo/apps/gallery/migrations/0001_initial.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/gallery/migrations/0002_image_title.py b/combo/apps/gallery/migrations/0002_image_title.py
index 32bd732e..51e0898c 100644
--- a/combo/apps/gallery/migrations/0002_image_title.py
+++ b/combo/apps/gallery/migrations/0002_image_title.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/gallery/migrations/0003_gallerycell_title.py b/combo/apps/gallery/migrations/0003_gallerycell_title.py
index 57cb09c3..23b0be6c 100644
--- a/combo/apps/gallery/migrations/0003_gallerycell_title.py
+++ b/combo/apps/gallery/migrations/0003_gallerycell_title.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/gallery/views.py b/combo/apps/gallery/views.py
index e378b032..6742a958 100644
--- a/combo/apps/gallery/views.py
+++ b/combo/apps/gallery/views.py
@@ -14,21 +14,21 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.urls import reverse, reverse_lazy
 from django.shortcuts import redirect
+from django.urls import reverse, reverse_lazy
 from django.views.generic import (
-    TemplateView,
-    RedirectView,
-    DetailView,
     CreateView,
-    UpdateView,
-    ListView,
     DeleteView,
+    DetailView,
     FormView,
+    ListView,
+    RedirectView,
+    TemplateView,
+    UpdateView,
 )
 
-from .models import Image, GalleryCell
 from .forms import ImageAddForm, ImageEditForm
+from .models import GalleryCell, Image
 
 
 class ImageAddView(CreateView):
diff --git a/combo/apps/lingo/__init__.py b/combo/apps/lingo/__init__.py
index 7bb25728..400a3036 100644
--- a/combo/apps/lingo/__init__.py
+++ b/combo/apps/lingo/__init__.py
@@ -18,12 +18,11 @@ import datetime
 import logging
 
 import django.apps
+import eopayment
 from django.urls import reverse
 from django.utils import timezone
 from django.utils.translation import ugettext_lazy as _
 
-import eopayment
-
 
 class AppConfig(django.apps.AppConfig):
     name = 'combo.apps.lingo'
@@ -42,7 +41,7 @@ class AppConfig(django.apps.AppConfig):
         self.notify_payments()
 
     def update_transactions(self):
-        from .models import Transaction, EXPIRED
+        from .models import EXPIRED, Transaction
 
         logger = logging.getLogger(__name__)
         now = timezone.now()
diff --git a/combo/apps/lingo/forms.py b/combo/apps/lingo/forms.py
index 759c0b39..078e93bd 100644
--- a/combo/apps/lingo/forms.py
+++ b/combo/apps/lingo/forms.py
@@ -16,12 +16,11 @@
 
 import datetime
 
-
 from django import forms
 from django.core.exceptions import ValidationError
 from django.utils.translation import ugettext_lazy as _
 
-from .models import Regie, PaymentBackend
+from .models import PaymentBackend, Regie
 
 TYPE_FIELD_MAPPING = {
     str: forms.CharField,
diff --git a/combo/apps/lingo/manager_views.py b/combo/apps/lingo/manager_views.py
index b2777918..b194b18c 100644
--- a/combo/apps/lingo/manager_views.py
+++ b/combo/apps/lingo/manager_views.py
@@ -16,26 +16,22 @@
 
 import csv
 import datetime
-from dateutil import parser as date_parser
 
-from django.urls import reverse
-from django.urls import reverse_lazy
+import eopayment
+from dateutil import parser as date_parser
 from django.contrib import messages
-from django.db.models import Q, Prefetch
+from django.db.models import Prefetch, Q
 from django.db.models.expressions import RawSQL
+from django.http import HttpResponse, HttpResponseRedirect
+from django.shortcuts import get_object_or_404
+from django.template.response import TemplateResponse
+from django.urls import reverse, reverse_lazy
 from django.utils import six
 from django.utils.timezone import make_aware, now
 from django.utils.translation import ugettext_lazy as _
-from django.views.generic import CreateView, UpdateView, ListView, DeleteView, View
-from django.http import HttpResponse
-from django.http import HttpResponseRedirect
-from django.shortcuts import get_object_or_404
-from django.template.response import TemplateResponse
-
-import eopayment
+from django.views.generic import CreateView, DeleteView, ListView, UpdateView, View
 
-from .forms import RegieForm, PaymentBackendForm
-from .forms import TransactionExportForm
+from .forms import PaymentBackendForm, RegieForm, TransactionExportForm
 from .models import BasketItem, PaymentBackend, Regie, Transaction
 
 
diff --git a/combo/apps/lingo/migrations/0001_initial.py b/combo/apps/lingo/migrations/0001_initial.py
index 393010f1..3daaf8b1 100644
--- a/combo/apps/lingo/migrations/0001_initial.py
+++ b/combo/apps/lingo/migrations/0001_initial.py
@@ -1,9 +1,9 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import jsonfield.fields
 from django.conf import settings
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0002_transaction.py b/combo/apps/lingo/migrations/0002_transaction.py
index 0520cb50..b770560c 100644
--- a/combo/apps/lingo/migrations/0002_transaction.py
+++ b/combo/apps/lingo/migrations/0002_transaction.py
@@ -1,8 +1,8 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import jsonfield.fields
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0003_auto_20150306_1047.py b/combo/apps/lingo/migrations/0003_auto_20150306_1047.py
index da7226c0..10d5bf94 100644
--- a/combo/apps/lingo/migrations/0003_auto_20150306_1047.py
+++ b/combo/apps/lingo/migrations/0003_auto_20150306_1047.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
diff --git a/combo/apps/lingo/migrations/0004_basketitem_notification_date.py b/combo/apps/lingo/migrations/0004_basketitem_notification_date.py
index a9f4bc12..d29e21d5 100644
--- a/combo/apps/lingo/migrations/0004_basketitem_notification_date.py
+++ b/combo/apps/lingo/migrations/0004_basketitem_notification_date.py
@@ -1,7 +1,7 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
